import request from '@/utils/request'

// 查询cmc安全交底列表
export function listSafe(query) {
  return request({
    url: '/oa/safe/list',
    method: 'get',
    params: query
  })
}

// 查询cmc安全交底详细
export function getSafe(safeId) {
  return request({
    url: '/oa/safe/' + safeId,
    method: 'get'
  })
}

// 新增cmc安全交底
export function addSafe(data) {
  return request({
    url: '/oa/safe',
    method: 'post',
    data: data
  })
}

// 修改cmc安全交底
export function updateSafe(data) {
  return request({
    url: '/oa/safe',
    method: 'put',
    data: data
  })
}

// 删除cmc安全交底
export function delSafe(safeId) {
  return request({
    url: '/oa/safe/' + safeId,
    method: 'delete'
  })
}
